<div class="offers-table">
  <mo-table
    [headers]="headers"
    [data]="(offers$ | async)?.results"
    [firstColumnFixed]="true"
    [urlRow]="offerProfileUrl"
    [isLoading]="isLoadingOffers$ | async"
    [loadingColumns]="5"
    urlRowIdentifier="reference"
  ></mo-table>
  <div
    class="offers-table__buttons"
    *ngIf="(offers$ | async)?.results?.length; else emptyStateOffers"
  >
    <mo-button
      [text]="
        'PRODUCT_CATALOGUE.PRODUCTS_PROFILE.OFFERS.BTN_CREATE_NEW_OFFER'
          | translate
      "
      [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
      [size]="SIZES.MD"
      [routerLink]="urlCreateNewOffer"
      *ngIf="CAN_CREATE_NEW_OFFER"
    ></mo-button>
  </div>
  <ng-template #emptyStateOffers>
    <div class="offers-table__empty">
      <h2
        class="title"
        [innerHTML]="
          'PRODUCT_CATALOGUE.PRODUCTS_PROFILE.OFFERS.EMPTY' | translate
        "
      ></h2>
      <mo-button
        [text]="
          'PRODUCT_CATALOGUE.PRODUCTS_PROFILE.OFFERS.BTN_CREATE_NEW_OFFER'
            | translate
        "
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
        [size]="SIZES.MD"
        [routerLink]="urlCreateNewOffer"
        *ngIf="CAN_CREATE_NEW_OFFER"
      ></mo-button>
    </div>
  </ng-template>
</div>

<ng-template #statusTemplate let-row="row" let-header="header">
  <ng-container *ngIf="row[header?.dataKey] as status">
    <div class="status" [ngClass]="status">
      <i class="uil" [ngClass]="OFFER_STATUS_ICONS[status.toUpperCase()]"></i>
      <p>
        {{ status | titlecase }}
      </p>
    </div>
  </ng-container>
</ng-template>
